ChatofyDevelopers
REST APIMCP Server (AI)New
API KeysWebhooks
Chatofy API
/
Getting Started
API Resources
API v1.0 Live
Developer APICRM Pipelines & DealsUpdate Pipeline Stage

Update Pipeline Stage

Updates stage configuration (name, probability, kind, archived status).

PATCH/api/v1/pipelines/{id}/stages/{stageId}

Body Parameters

2 parameters
{id}uuidrequired

Pipeline UUID

{stageId}uuidrequired

Stage UUID

Request Body Schema

application/json
namestringoptional

Updated stage name

kindstringoptional

"open", "won", or "lost"

probabilitynumberoptional

Win probability 0-100

colorstringoptional

Color token

is_archivedbooleanoptional

Whether stage is archived

Response Payload

200 OKapplication/json
statusstring

"1" = Success, "0" = Failure.

messageobject

The response data payload.

Code Snippets & Examples

1curl -X PATCH "https://app.chatofy.in/api/v1/pipelines/p1111111-2222-3333-4444-555555555555/stages/s1111111" \
2 -H "Authorization: Bearer YOUR_API_KEY" \
3 -H "Content-Type: application/json" \
4 -d '{"probability":30}'

Was this endpoint guide helpful?

Previous Endpoint
Reorder Pipeline Stages
Next Endpoint
Archive Pipeline Stage
© 2026 Chatofy Cloud Platform. All rights reserved.
1curl -X PATCH "https://app.chatofy.in/api/v1/pipelines/p1111111-2222-3333-4444-555555555555/stages/s1111111" \
2 -H "Authorization: Bearer YOUR_API_KEY" \
3 -H "Content-Type: application/json" \
4 -d '{"probability":30}'
200 OKapplication/json
1{
2 "success": true,
3 "data": {
4 "stage": {
5 "id": "s1111111-2222-3333-4444-555555555555",
6 "name": "New",
7 "probability": 30,
8 "kind": "open",
9 "updated_at": "2026-10-26T10:00:00+05:30"
10 }
11 },
12 "message": "Pipeline stage updated successfully"
13}